LINUX.ORG.RU

Вышла новая версия десктопного окружения Trinity- R14.0.5

 


1

2

2018.08.18 вышла новая версия легковесного десктопного окружения Trinity- R14.0.5. R14.0.5 является пятым минорным релизом серии R14.0. Данная версия улучшает стабильность кодовой базы, при сохранении общей стабильности, благодаря предотвращению как основных новых функций, так и серьезного повторного факторинга кодовой базы. В ближайшее время ожидается бинарные пакеты для Ubuntu, Debian, RHEL/CentOS, Fedora, Mageia, openSUSE и PCLinuxOS.

Что нового?

Исправления ошибок:

  • Исправлено воспроизведение файла OGG (звуки входа в TDE теперь снова работают :-))
  • Исправлены ошибки в звуковом сервере.
  • Исправлено баг в обнаружение устройств из Media Manager в kscd.
  • Исправлено несколько ошибок, связанных с kdesktop_lock.
  • Улучшено отображение пиктограммы корзины;
  • Исправлена ошибка в уведомлении об удаленных носителях.
  • Исправлена поддержка протокола поддерживаемых страниц (регрессия в предыдущем выпуске).
  • Исправлена регрессия с открытыми / сохраненными диалогами на ftp или съемном диске.
  • Исправлена подсветка синтаксиса javascript в Kate.
  • Исправлена поддержка для NetworkManager (случайные MAC-адреса).
  • Исправлены утечки памяти.

    Усовершенствования:

  • Улучшена обработка таймера в TDEPowersaver.
  • Новые сеансы теперь могут быть правильно запущены как «предварительная блокировка». Это полезно тем, у кого включен автоматический вход в систему.
  • Добавлена поддержка GnuPG 2.1.
  • Улучшенная конфигурация сервера KGPG.
  • Расширен интерфейс Ark и плагинов к нему, добавлена поддержка архивов .rar;
  • Реализовано определение выпусков ruby 2.3, 2.4 и 2.5;
  • Улучшено отображения иконок в трее.
  • В Kopete улучшенная поддержка протокола Jabber.
  • В Kopete удалена поддержка AIM.
  • Расширено число поддерживаемых MIME-типов;
  • Добавлена поддержка Java8 более новых выпусков.
  • Добавлена поддержка OpenSSL 1.1.
  • Добавлена поддержка GCC7 и GCC8.
  • Добавлена поддержка ICU 58.

>>> Подробности

★★★★★

Проверено: Shaman007 ()

Пожалуй, самая адекватная DE на сегодняшний день.

Quasar ★★★★★ ()
Ответ на: комментарий от Quasar

Пожалуй, самая адекватная DE на сегодняшний день.

Согласен на все сто.

Odalist ★★★★★ ()

Было бы хорошо иметь рантайм и набор приложений из состава данного DE под flatpak. Тогда бы большая часть софта из сегодняшних DE не выдержала бы конкуренции.

anonymous ()

Надеюсь, оно не потребляет столько же ресурсов, сколько и кеды?

Korchevatel ★★ ()
Ответ на: комментарий от Korchevatel

Надеюсь, оно не потребляет столько же ресурсов, сколько и кеды?

Когда в свое время проверял (Debian Stretch), с холодного старта потреблял 200 мб.

Odalist ★★★★★ ()
Ответ на: комментарий от Quasar

MATE еще ничего. Ну либо мы старперы просто и ничего не понимаем.

Zhbert ★★★★★ ()
Ответ на: комментарий от anonymous

Было бы хорошо иметь рантайм и набор приложений из состава данного DE под flatpak

Не нужно же.

Zhbert ★★★★★ ()

Я конечно, понимаю, что подход к трате своего времени — личное дело каждого, и вообще каждый суслик — агроном, но всё же. Зачем?
Сабж имел какой-то смысл году в 2010-м, когда половина софта на Qt4 была портирована кое-как. Но сейчас-то софт на KF5 вылизан не хуже, чем во времена третьих кед, и навскидку назвать что-то полезное, что так и осталось только на Qt3, лично я не могу.
Единственный реальный резон, который я вижу — отказ от плазмы и аконади. Но первого можно было бы достичь, откопав порт Kicker на Qt4 и сваяв замену KDesktop (а то и вовсе украв компонент у LXQt), а второго — опять же, откопав старый KMail на Qt4, который когда-то ещё умудрялись собирать без akonadi. Я ни в коем разе не хочу сказать, что это херня война, но неужели это тяжелее, чем тянуть целую среду и тулкит?

dogbert ★★★★★ ()
Ответ на: комментарий от Korchevatel

зависит от конфигурации. Думаю, можно и до lxde урезать

mittorn ★★★★★ ()
Ответ на: комментарий от dogbert

всё же интерфейс отличается. и дело не в qt3, а в том, что тогда не пытались максимально упросить внешний вид приложений мол вдруг пользователь испугается многакнопок и убежит

mittorn ★★★★★ ()
Ответ на: комментарий от Odalist

Yare yare... Ну, по крайней мере гораздо лучше, чем шестьсот «метров» в «пятерке» или третьегнумовские полтора гига.

Korchevatel ★★ ()

Не знаю стоит ли это даже трогать, если они даже ssl не могут к страничке прикрутить

ZogG ()

тем временем у меня About показывает 14.1.0

mittorn ★★★★★ ()
Ответ на: комментарий от ZogG

А зачем? Как защиту от того, что кто-то подменит пакеты? Я понимаю ещё если бы там передавались какие-то необщедоступные данные и защищать от прослушки

mittorn ★★★★★ ()
Ответ на: комментарий от intel

qt4 в 2018???
если и есть смысл переходить, то сразу на qt5, к тому же он больше похож на qt3, чем qt4

mittorn ★★★★★ ()
Ответ на: комментарий от mittorn

Так в том то и суть, они не успели перейти на qt4, когда уже вышла qt5

intel ()
Ответ на: комментарий от mittorn

если и есть смысл переходить, то сразу на qt5

Миграция qt4->qt5 в 99% случаев делается автозаменой. В KDE конечно же всплывут варианты... но это в любом случае на порядок легче миграции Qt3->Qt4.

anonymous ()
Ответ на: комментарий от intel

Их не устроила qt4, потому они не стали переходить. А сейчас в tqt уже такой рефакторинг, что миграция на qt5 бессмысленна, проще tqt допилить

mittorn ★★★★★ ()
Ответ на: комментарий от ZogG

затем то 2018 на улице

Вам провайдер вставляет рекламу в HTTP-сайты? Меняйте своего провайдера на более ответственного и добропорядочного, а не плачьтесь по поводу HTTPS.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Нет не из-за рекламы. Просто я думаю, что давно уже перестали использовать голубей для почты и уже можно перейти на ssl везде.

А то потом читаешь комменты на ЛОРе после взлома сайта очередного опенсорса - что все решето.

ZogG ()

Не нужно. Надо закопать обратно туда, откуда эксгумировали.

Thetan ★★★ ()
Ответ на: комментарий от mittorn

если и есть смысл переходить, то сразу на qt5, к тому же он больше похож на qt3, чем qt4

Не распарсил, кто на кого похож. Но если вкратце — во-первых, в Qt5 нет инструментов для миграции, а в Qt4 были. Во-вторых, если переходить сначала на Qt4, можно при должной постановке работы получить исходники, которые будут при некотором количестве условных компиляций работать как в Qt4, так и в Qt5 (при этом, конечно, как минимум надо будет выпилить Qt3Support, но это можно делать поэтапно).

hobbit ★★★★★ ()
Ответ на: комментарий от Odalist

Когда в свое время проверял (Debian Stretch), с холодного старта потреблял 200 мб.

Однако.
kde3.5 укладывалось в 60МБ

madcore ★★★★★ ()

а почему такая панелька узкая, её хотя бы на 20% экрана растянуть можно будет, как в старые добрые времена?

Harald ★★★★★ ()

Жаль стареет старичок, он работает, но даже без всяких переходов на новые кути... он просто обречён. один человек его не потянет, а я, как истинный нахлебник, не помогу. Самбонастраивалка не работает, авахи тоже (и всё что с ними связано). В Копете всё кроме джаббера просто выкинуть (а может и джаббер не работает?). В Карамбе все виджеты онлайновые тютю. Лоток не показывает новомодных программ. В Конкуероре даже зайти на сайт с тдешными же стилями и скачать не получится. Эх... Но он всё такой же. Крутой. Самая лучшая ДЕ своего времени. Самая лучшая, быстрая, фичастая, настраиваемая, самая-самая. Любовь до гроба.

П.с. Жаль для Арча нет нормальной репы. Какая-то экспериментальная сборка была, но она с ужасным рендерингом шрифтов была, и без половины софта по сравнению с официальными. Вот бы кто запилил в AUR всё нужное.

Deleted ()

В ближайшее время ожидается ожидаются бинарные пакеты для Ubuntu, Debian, RHEL/CentOS, Fedora, Mageia, openSUSE и PCLinuxOS.

..., тогда и поговорим.

atsym ★★★★★ ()
Ответ на: комментарий от dogbert

Единственный реальный резон, который я вижу — отказ от плазмы и аконади.

Плазму можно просто не запускать, нахер она вообще сдалась? Как и kmail. А кто еще там от аконади зависит?

anonymous ()

Уважаемый автор и корректоры. Заинтересовавшись этим DE (поскольку раньше про него не слышал), стал читать новость, но наткнулся на такую фразу:

Данная версия улучшает стабильность кодовой базы, при сохранении общей стабильности, благодаря предотвращению как основных новых функций, так и серьезного повторного факторинга кодовой базы.

Интерес к этому DE после этой фразы пропал. Мало того, теперь всякий раз, когда я буду видеть упоминание Trinity DE, у меня в памяти будет всплывать эта корявая и совершенно непонятная фраза. Хотели ли вы добиться такого результата этой новостью?

anonymous ()
Ответ на: комментарий от kto_tama

Не верю !

Почему такая информация кажется недостоверной?

madcore ★★★★★ ()

куча иконок приложений внизу, пестрит. в гноме скрывается. ну и рабочие столы тож показывать не стоит. меньше шума.

barberry ★★ ()
Ответ на: комментарий от kto_tama

джентльмены верят друг другу на слово

anonymous ()
Ответ на: комментарий от time_LORd

Удобно себе писать?

Я не разработчик Trinity. Я не использую данное DE. Так что да-удобно.

Odalist ★★★★★ ()
Ответ на: комментарий от Harald

её хотя бы на 20% экрана растянуть можно будет, как в старые добрые времена?

Если это не сарказм, тогда да, конечно можно.

Odalist ★★★★★ ()

там всё ещё нельзя выставить своё значение dpi? до сих пор предлагается куцый набор из трёх захардкорженных вариантов?
http://i.imgur.com/2LIODPb.png

anonymous ()
Ответ на: комментарий от Odalist

Пожалуй, самая адекватная DE на сегодняшний день.

Согласен на все сто.

Я не использую данное DE

Вся суть

Deleted ()

Гугл транслейт перевёл, а Шаман подтвердил?

maloi ★★★★★ ()
Ответ на: комментарий от Deleted


Вся суть

Вышла новая версия десктопного окружения Trinity- R14.0.5 (комментарий)

Я полностью перешел на тайлинг. И уже давненько, но это не значит, что я не пробовал данную DE. Так что твой пук не засчитан.

Odalist ★★★★★ ()
Последнее исправление: Odalist (всего исправлений: 1)

ЗАчем? Чем она лучше awesome?

AVL2 ★★★★★ ()

Наследник КДЕ? Закапывайте...

AVL2 ★★★★★ ()
Ответ на: комментарий от dogbert

TDE - быстрая, лёгкая, надежная и проверенная вренемем DE по сегодняшним меркам. Там нет новомодных нововведений в интерфейсы и заведомо провальных экспериментов. Она просто работает и имеет при себе полный набор всего того, что нужно пользователю.

P.S.

Пишу из FVWM.

Quasar ★★★★★ ()
Ответ на: комментарий от Korchevatel

Ты не умеешь готовить кеды, у меня при первом старте 300-350, и не течет, и не падает, и даже на вяленом работает (тяжко но работает)!

Griggorii3_4 ()

Нижняя панель очень «виндовенько». Начиная с Xp-ки не понимаю, как можно не запутаться в ней.

vvn_black ★★★★★ ()
Ответ на: комментарий от Deleted

П.с. Жаль для Арча нет нормальной репы. Какая-то экспериментальная сборка была, но она с ужасным рендерингом шрифтов была, и без половины софта по сравнению с официальными. Вот бы кто запилил в AUR всё нужное.

trinity
Maintainer: Michael Manley <mmanley@nasutek.com>
Description: Trinity Desktop Environment
Key-ID: 65A4AC99
[trinity]
Server = https://repo.nasutek.com/arch/contrib/trinity/x86_64
anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.